Page MenuHomePhabricator

Stop storing feeds in Cassandra
Closed, ResolvedPublic

Description

Storing feeds in Cassandra makes it possible for vandalism to show up in the apps for extended periods of time. WE should stop doing that.

Event Timeline

Pchelolo created this task.Oct 31 2017, 4:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2017, 4:21 PM
bearND added a comment.Nov 8 2017, 3:10 AM

Well, at least it removes one thing to check when it happens next time.

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-12-14T13:26:38Z] <mobrovac@tin> Started deploy [restbase/deploy@187d8ba]: Remove Trending Edits end point and stop storing feed results in Cassandra - T180384 T179412

Mentioned in SAL (#wikimedia-operations) [2017-12-14T13:32:15Z] <mobrovac@tin> Finished deploy [restbase/deploy@187d8ba]: Remove Trending Edits end point and stop storing feed results in Cassandra - T180384 T179412 (duration: 05m 37s)

mobrovac closed this task as Resolved.Dec 14 2017, 2:07 PM
mobrovac edited projects, added Services (done); removed Services (next).

The fix for this has been deployed. Resolving.